[SM-Grimoire-Bugs] [Bug 14802] koffice needs gcc-4.3 fix with iostream.h

bugzilla-daemon at bugs.sourcemage.org bugzilla-daemon at bugs.sourcemage.org
Sun Jan 25 17:24:32 EST 2009


http://bugs.sourcemage.org/show_bug.cgi?id=14802





--- Comment #1 from Marc <mfshop at comcast.net>  2009-01-25 16:24:30 ---
Created an attachment (id=7217)
 --> (http://bugs.sourcemage.org/attachment.cgi?id=7217)
Patch for compiling koffice 1.6.3 with gcc 4.3.2

I think it's safe to assume that this isn't going to ever get addressed
upstream (in the 1.x version of koffice, anyways).  So for those of us running
kde 3.x, we're stuck.  I did some looking online and found this bug patched
over at gentoo (which they seem to have gotten from somewhere else, too) and
more or less applied it to work in sorcery.  I made it work just like the
existing koffice-xpdf patch that already exists for koffice 1.6.3.  I then got
koffice to compile without any problems.  Hopefully this helps anyone else
trying to get koffice working with kde 3.x and gcc 4.3 (if they haven't already
figured it out- but as I saw this bug was still open, I thought I'd do my part
and comment on this and include the patch I used).


-- 
Configure bugmail: http://bugs.sourcemage.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.



More information about the SM-Grimoire-Bugs mailing list